#ifndef IMS_CONVERSIONS_H_
#define IMS_CONVERSIONS_H_

#include <sstream>

/**
 * Converts the given string into a number
 * @param str String to be converted into a number
 * @param number Into this parameter the resulting number is stored
 * @param format Format of the number
 * @return @c true if the conversion went ok, @c false otherwise
 */
template<typename N> inline bool strToNum(const std::string &str, N &number, std::ios_base &(* format)(std::ios_base &))
{
  std::istringstream strStream(str);
  N convNumber = 0;
  strStream >> format >> convNumber;
  if(!strStream.fail() && strStream.eof())
  {
 	number = convNumber;
	return true;
  }
  return false;
}

#endif
